Extending Qt Creator Manual | Preprocessor

Extending Qt Creator Manual 4.5.2

# Preprocessor Class

(CPlusPlus::Preprocessor)

- List of all members, including inherited members

## Public Functions

| Preprocessor(Client *client, Environment *env)
bool | expandFunctionlikeMacros() const
bool | keepComments() const
QByteArray | run(const QString &filename, const QString &source)
QByteArray | run(const QString &filename, const QByteArray &source, bool noLines = false, bool markGeneratedTokens = true)
void | setCancelChecker(const CancelChecker &cancelChecker)
void | setExpandFunctionlikeMacros(bool expandFunctionlikeMacros)
void | setKeepComments(bool keepComments)

## Static Public Members

QString | configurationFileName()

## Member Function Documentation

### Preprocessor::Preprocessor(Client *client, Environment *env)

Default constructs an instance of Preprocessor.

### `[static]` QString Preprocessor::configurationFileName()

### bool Preprocessor::expandFunctionlikeMacros() const

See also setExpandFunctionlikeMacros().

### bool Preprocessor::keepComments() const

See also setKeepComments().

### QByteArray Preprocessor::run(const QString &filename, const QString &source)

### QByteArray Preprocessor::run(const QString &filename, const QByteArray &source, bool noLines = false, bool markGeneratedTokens = true)

### void Preprocessor::setCancelChecker(const CancelChecker &cancelChecker)

### void Preprocessor::setExpandFunctionlikeMacros(bool expandFunctionlikeMacros)

See also expandFunctionlikeMacros().

### void Preprocessor::setKeepComments(bool keepComments)

See also keepComments().